# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "arael-sym"
version = "0.7.0"
authors = ["Indrek Mandre <indrek@mare.ee>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Symbolic math library: expression trees, automatic differentiation, simplification, CSE, code generation"
readme = "SYM.md"
keywords = [
    "symbolic-math",
    "differentiation",
    "computer-algebra",
    "code-generation",
    "cse",
]
categories = [
    "mathematics",
    "science",
]
license = "MIT"
repository = "https://github.com/harakas/arael"

[package.metadata.docs.rs]
rustdoc-args = [
    "--html-in-header",
    "docs-header.html",
]

[lib]
name = "arael_sym"
path = "src/lib.rs"

[dependencies.arael-sym-macros]
version = "0.7.0"
